Subject: Re: [dtc] Add support for flat device tree format version 17

From: Timur Tabi <[email-masked]>
Date: Wed, 14 Mar 2007 16:20:29 -0500

Jerry Van Baren wrote:

> The best solution, which I'm making progress on but slowly, is to pull 
> David Gibson's libfdt utilities into u-boot and use them to manipulate 
> the tree.  

I don't think that will help, because the problem is how do you update a device tree that 
you don't know everything about?

 > I very much want v17 blobs because that removes my
> "write-in-place" restrictions on changing the properties.

Another idea which just came to light is to have the compatibility field be only useful to 
code that just *reads* the DTB.  Any code that *writes* the DTB should look it.

Since the kernel only reads the DTB, it can use the compatibility field.  Since U-Boot 
writes to the DTB, it should currently only accept true V16 DTBs.

If the kernel were to ever write to the DTB, then it would have to be as restrictive.

-- 
Timur Tabi
Linux Kernel Developer @ Freescale